Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IUserManager

public interface IUserManager

An interface that provides information about the currently logged in user.

Method Summary
`boolean` | `checkCurrentUserActivityRight(java.lang.String activityRightURI)` Returns true if the current user has the specified activity right.
`java.util.Enumeration` | `getCurrentUserActivityRights()` Returns an enumeration of all the Activity Rights associated with the current user.
`int[]` | `getCurrentUserGroups()` Returns a list of all of Group IDs for the groups of which the current user is a member.
`int` | `getCurrentUserID()` Returns the current user ID.

Method Detail

### getCurrentUserGroups

    public int[] getCurrentUserGroups()
                               throws java.net.MalformedURLException,
                                      PortalException,
                                      java.rmi.RemoteException

  Returns a list of all of Group IDs for the groups of which the current user is a member.

  Returns:
    an array of the Group IDs for the groups of which the current user is a member
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

### getCurrentUserID

    public int getCurrentUserID()

  Returns the current user ID.

  Returns:
    the current user ID

### checkCurrentUserActivityRight

    public boolean checkCurrentUserActivityRight(java.lang.String activityRightURI)
                                          throws java.net.MalformedURLException,
                                                 PortalException,
                                                 java.rmi.RemoteException

  Returns true if the current user has the specified activity right.

  Parameters:
    `activityRightURI` - URI of the activity right. This be be found in the Portal under Activity Manager.
  Returns:
    ttrue if the current user has the specified activity right.
  Throws:
    `java.net.MalformedURLException`
    `PortalException`
    `java.rmi.RemoteException`

### getCurrentUserActivityRights

    public java.util.Enumeration getCurrentUserActivityRights()
                                                       throws java.net.MalformedURLException,
                                                              PortalException,
                                                              java.rmi.RemoteException

  Returns an enumeration of all the Activity Rights associated with the current user. In contrast to IPortletUser, the activity rights returned are not the activity right names, but the activity rights URIs. The URI for activity rights can be found in the Portal in the ActivityRights Manager.

  Returns:
    an enumeration of the Activity Rights for the user
  Throws:
    `java.net.MalformedURLException`
    `PortalException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.